<div id="listProductAdmin">
  <div
    v-if="createStore && createStore.store && createStore.product"
    id="hideBottomInput"
    class="mt-6"
  >
    <v-card class="pa-3">
      <v-toolbar elevation-0 class="elevation-0">
        <v-spacer></v-spacer>
        <div class="d-flex w-full justify-between align-center">
          <div>
            <h1 class="font-semibold text-lg sm:text-2xl text-gray-900">
              Enter store name & Domain
            </h1>
            <h3 class="font-normal sm:text-base text-sm text-gray-900">
              Choose a product and create new store of that product
            </h3>
          </div>
        </div>
      </v-toolbar>
      <v-divider class="my-4"></v-divider>
      <v-alert dense color="blue" outlined text type="info">
        <p class="text-xs sm:text-sm font-normal mb-0 text-gray-900">
          You will duplicate a new store for store
          <span class="font-semibold">
            {{createStore && createStore.store && createStore.store.storeName}}
            ( {{createStore.product.productName}})
          </span>
        </p>
        <p class="text-xs sm:text-sm font-normal mb-0 text-gray-900">
          Store ID
          <span class="font-semibold">
            {{createStore && createStore.store && createStore.store._id}}
          </span>
        </p>
      </v-alert>
      <div class="mb-4">
        <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
          Domain name
          <span class="font-semibold text-gray-900">*required</span>
        </p>
        <div class="input-fr">
          <input
            v-model="createStore.store.slug"
            :disabled="loadingCheckDomain"
            v-debounce:500ms="onCheckDomain"
            type="text"
            placeholder="example.domain"
            class="focus:outline-none focus:border-sky-500 focus:ring-sky-500 focus:ring-1 focus:rounded-tl-md focus:rounded-bl-md"
          />
          <div id="hideBottomInput">
            <v-autocomplete
              :disabled="loadingCheckDomain"
              class="rounded-lg"
              label="Choose domain"
              outlined
              v-model="subDomain"
              dense
              :items="domains"
              item-text="domain"
              item-value="domain"
              @change="onSelectDomain(subDomain)"
            >
              <template v-slot:item="{item}">
                <span class="ml-2"> {{item && item.domain}}</span>
              </template>
            </v-autocomplete>
          </div>
        </div>
        <span class="text-red-500 text-sm" v-if="isDomainExist">
          Domain already exists
        </span>
        <span class="text-green-500 text-sm" v-if="isDomainNotExist">
          Domain ready to use
        </span>
        <span v-if="isErrorDomainName" class="text-red-500 text-sm">
          Domain cannot be more than 63 characters
        </span>
        <p class="mb-0 mt-2 text-xs text-gray-900 font-semibold">
          Your store will be public on the website: example.mysale.com
        </p>
      </div>
      <div class="mb-4">
        <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
          Logo Title/Shop Name
          <span class="font-semibold text-gray-900">*required</span>
        </p>
        <div class="input-fr">
          <input
            v-model="createStore.store.storeName"
            :disabled="loadingCheckDomain"
            type="text"
            placeholder="Enter your shop name"
            class="focus:outline-none focus:border-sky-500 focus:ring-sky-500 focus:ring-1 focus:rounded-md"
          />
        </div>
      </div>
      <div class="mb-4">
        <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
          Email Support
          <span class="font-semibold text-gray-900">*required</span>
        </p>
        <div class="input-fr">
          <input
            :disabled="loadingCheckDomain"
            v-model="domain.supportEmail"
            value="domain.supportEmail"
            readonly
            type="email"
            placeholder="Your support email"
          />
        </div>
      </div>

      <div class="d-flex gap-2 justify-end sm:pa-4">
        <v-btn
          :disabled="loadingCheckDomain || loading"
          @click="backToStore()"
          class="text-capitalize sm:py-6 py-3"
          outlined
        >
          Back
        </v-btn>
        <v-btn
          @click="onCreateStore()"
          :disabled="domains.length <= 0 || loadingCheckDomain || loading || isDomainExist"
          color="primary"
          class="text-capitalize text-white sm:py-6 py-3"
          depressed
        >
          <v-progress-circular
            v-if="loading"
            size="18"
            indeterminate
            color="#076CE3"
          >
          </v-progress-circular>
          <span v-else> Create new Store </span>
        </v-btn>
      </div>
    </v-card>
  </div>
</div>
